Package org.jboss.resteasy.plugins.providers.multipart.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 25, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `couldFindNoContentDispositionHeader()` |
    `String` | `couldNotParseContentDisposition​(org.apache.james.mime4j.stream.Field field)` |
    `String` | `dataSourceRepresentsXopMessagePart()` |
    `String` | `exceptionWhileExtractionAttachment​(String cid)` |
    `String` | `hadToWriteMultipartOutput​(MultipartOutput multipartOutput, AbstractMultipartWriter writer, Class<?> clazz)` |
    `String` | `noAttachmentFound​(String cid, String contentId)` |
    `String` | `notMeantForStandaloneUsage()` |
    `String` | `receivedGenericType​(javax.ws.rs.ext.MessageBodyReader<?> reader, Type genericType, Class<?> clazz)` |
    `String` | `swaRefsNotSupported()` |
    `String` | `unableToFindMessageBodyReader​(javax.ws.rs.core.MediaType mediaType, String type)` |
    `String` | `unableToGetBoundary()` |
    `String` | `urlDecoderDoesNotSupportUtf8()` |
    `String` | `urlEncoderDoesNotSupportUtf8()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### couldFindNoContentDispositionHeader

          @Message(id=7500,
                   value="Could find no Content-Disposition header within part")
          String couldFindNoContentDispositionHeader()

    - #### couldNotParseContentDisposition

          @Message(id=7505,
                   value="Could not parse Content-Disposition for MultipartFormData: {0}",
                   format=MESSAGE_FORMAT)
          String couldNotParseContentDisposition​(org.apache.james.mime4j.stream.Field field)

    - #### dataSourceRepresentsXopMessagePart

          @Message(id=7510,
                   value="This DataSource represents an incoming xop message part. Getting an OutputStream on it is not allowed.")
          String dataSourceRepresentsXopMessagePart()

    - #### exceptionWhileExtractionAttachment

          @Message(id=7515,
                   value="Exception while extracting attachment with cid = %s from xop message to a byte[].")
          String exceptionWhileExtractionAttachment​(String cid)

    - #### hadToWriteMultipartOutput

          @Message(id=7520,
                   value="Had to write out multipartoutput = {0} with writer = {1} but this writer can only handle {2}",
                   format=MESSAGE_FORMAT)
          String hadToWriteMultipartOutput​(MultipartOutput multipartOutput,
                                           AbstractMultipartWriter writer,
                                           Class<?> clazz)

    - #### noAttachmentFound

          @Message(id=7525,
                   value="No attachment with cid = {0} (Content-ID = {1}) found in xop message.",
                   format=MESSAGE_FORMAT)
          String noAttachmentFound​(String cid,
                                   String contentId)

    - #### notMeantForStandaloneUsage

          @Message(id=7530,
                   value="This provider and this method are not meant for stand alone usage.")
          String notMeantForStandaloneUsage()

    - #### receivedGenericType

          @Message(id=7535,
                   value="Reader = {0} received genericType = {1}, but it is not instance of {2}",
                   format=MESSAGE_FORMAT)
          String receivedGenericType​(javax.ws.rs.ext.MessageBodyReader<?> reader,
                                     Type genericType,
                                     Class<?> clazz)

    - #### swaRefsNotSupported

          @Message(id=7540,
                   value="SwaRefs are not supported in xop creation.")
          String swaRefsNotSupported()

    - #### unableToFindMessageBodyReader

          @Message(id=7545,
                   value="Unable to find a MessageBodyReader for media type: {0} and class type {1}",
                   format=MESSAGE_FORMAT)
          String unableToFindMessageBodyReader​(javax.ws.rs.core.MediaType mediaType,
                                               String type)

    - #### unableToGetBoundary

          @Message(id=7550,
                   value="Unable to get boundary for multipart")
          String unableToGetBoundary()

    - #### urlDecoderDoesNotSupportUtf8

          @Message(id=7555,
                   value="java.net.URLDecoder does not support UTF-8 encoding")
          String urlDecoderDoesNotSupportUtf8()

    - #### urlEncoderDoesNotSupportUtf8

          @Message(id=7560,
                   value="java.net.URLEncoder does not support UTF-8 encoding")
          String urlEncoderDoesNotSupportUtf8()